TempPathway
Keywords: uk.ac.ic.doc.automed.tml.TempPathway class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.tml
Class TempPathway

    java.lang.Object
      uk.ac.ic.doc.automed.tml.TempPathway

    public class TempPathway

extends java.lang.Object

This class represents a temporary pathway used solely for the purpose of pathway optimisation. This class represents a pathway as a sequence of transformations (of class `Transformation` or `TMLTran`), as opposed to a sequence of `Schema`s as in `Pathway`.

Author:
  Nerissa Tong (nnyt98@doc.ic.ac.uk)

Method Summary
`static TempPathway` | `getTempPathway(Pathway tp)`
`TML[]` | `getTmlList()`
`java.lang.String` | `print()`
`int` | `size()`
`void` | `testIdenticalSchemas(Schema s1, Schema s2)`
`Schema` | `writeToRepository()`
`Schema` | `writeToRepository(boolean deleteOld)` Write an optimised pathway to the repository

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTempPathway

    public static TempPathway getTempPathway(Pathway tp)
                                      throws NotFoundException

  Throws:
    `NotFoundException`

### size

    public int size()

### print

    public java.lang.String print()

### writeToRepository

    public Schema writeToRepository()
                             throws NotOptimisableException,
                                    TypeMismatchException,
                                    NotFoundException,
                                    IntegrityException,
                                    SchemasNotIdenticalException

  Throws:
    `NotOptimisableException`
    `TypeMismatchException`
    `NotFoundException`
    `IntegrityException`
    `SchemasNotIdenticalException`

### writeToRepository

    public Schema writeToRepository(boolean deleteOld)
                             throws NotOptimisableException,
                                    TypeMismatchException,
                                    NotFoundException,
                                    IntegrityException,
                                    SchemasNotIdenticalException

  Write an optimised pathway to the repository

  Parameters:
    `deleteOld` - deletes the old, unoptimised pathway if set to `true`
  Throws:
    `NotOptimisableException`
    `TypeMismatchException`
    `NotFoundException`
    `IntegrityException`
    `SchemasNotIdenticalException`

### testIdenticalSchemas

    public void testIdenticalSchemas(Schema s1,
                                     Schema s2)

### getTmlList

    public TML[] getTmlList()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD